# flatredball-glue-pluginbase

### Introduction

The PluginBase class acts as a base class for all plugins. It simplifies the process of creating plugins as you simply need to inherit from this class and then add events for whatever your plugin needs to handle.

### PluginBase Members

* [FlatRedBall.Glue.Plugins.PluginBase.GetFilesReferencedBy](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-pluginbase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
